<div class="main--page">
    <div class="container-box">
        <div class="content-1">
            <h1>Please enter the One-Time Password to verify your account</h1>
            <h3> A One-Time password has been sent to {{_accountService.userMail}}</h3>
        </div>
        <div class="enter-field">
            <div>
                <form (ngSubmit)="validate()" [formGroup]="form">
                    <h3>Enter your OTP </h3>
                    <div class="row" class="display-flex">
                        <div *ngFor="let input of formInput;  index as i">
                            <input #formRow matInput class="otp-input" type="text" formControlName="{{input}}" maxlength="1"
                                (keyup)="keyUpEvent($event, i)">
                        </div>
                    </div>
                    <div class="btn-wrap">
                        <button mat-flat-button color="primary" class="success-btn" type="submit">Submit</button>
                        <button mat-flat-button color="primary" class="cancel-btn" (click)="cancel()">Cancel</button>
                    </div>
                </form>
            </div>
        </div>

        <div class="footer">
            <h4 (click)="resend()" class="pointer">Resend OTP</h4>
            <mat-error *ngIf="notValid">{{errMSg}}</mat-error>  
        </div>


    </div>

</div>